Subject: Re: bug#22693: `guix refresh -u` updates other packages with same version

From: Leo Famulari <[email-masked]>
Date: Mon, 22 Feb 2016 17:37:46 -0500

On Mon, Feb 22, 2016 at 10:33:12PM +0100, Andreas Enge wrote:
> On Tue, Feb 16, 2016 at 04:27:24AM -0500, Leo Famulari wrote:
> > I've noticed that `guix refresh -u` will update extraneous packages if
> > they happen to have the same version and be in the same module.
> > 
> > For example, from commit d694230ab, you can reproduce the bug:
> > 
> > $ ./pre-inst-env guix environment guix -- ./pre-inst-env guix refresh -u python-pytest
> > $ git diff
> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> > @@ -796,7 +796,7 @@ Python 3 support.")
> >  (define-public python-pycrypto
> >    (package
> >      (name "python-pycrypto")
> > -    (version "2.6.1")
> > +    (version "2.8.7")
> >  (define-public python-pytest
> >    (package
> >      (name "python-pytest")
> > -    (version "2.6.1")
> > +    (version "2.8.7")
> 
> I wondered about the "./pre-inst-env guix environment guix", but I tried it
> without, and I confirm the problem.

I like to offer my bug reports with './pre-inst-env' and a commit, to
increase the number of factors that are deterministic.

> Andreas